using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Sharpility.Extensions;
using NodaTime;

namespace IO.Swagger.api.Models
{
    /// <summary>
    /// InlineResponse20014
    /// </summary>
    public sealed class InlineResponse20014:  IEquatable<InlineResponse20014>
    { 
        /// <summary>
        /// 
        /// </summary>
        public int? Id { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string Status { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string Unmovable { get; private set; }

        /// <summary>
        /// Включен (активен), если true.
        /// </summary>
        public string Online { get; private set; }

        /// <summary>
        /// Удален, если true. Данные могут сохраняться.
        /// </summary>
        public string Deleted { get; private set; }

        /// <summary>
        /// Удален, если true. Данные могут сохраняться.
        /// </summary>
        public string DeletedAuto { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string DeletedDump { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string UserId { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FtpId { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string DnsId { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string IisId { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string IisBinding { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string IisPath { get; private set; }

        /// <summary>
        /// Уникальное строковое имя сайта (ID).
        /// </summary>
        public string IisComments { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string Memo { get; private set; }

        /// <summary>
        /// Дата создания.
        /// </summary>
        public string DateReg { get; private set; }

        /// <summary>
        /// Тип веб-сервера.
        /// </summary>
        public string Server { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ServerBak { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ServerAux { get; private set; }

        /// <summary>
        /// Тип сервера недавно изменялся, если true.
        /// </summary>
        public string ServerTransition { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ServerTransitionDtc { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BlockTransfer { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ServerChangedTime { get; private set; }

        /// <summary>
        /// Размер веб-сайта - объем (Кб).
        /// </summary>
        public string SizeAmount { get; private set; }

        /// <summary>
        /// Размер веб-сайта - кол-во файлов.
        /// </summary>
        public string SizeFileCount { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SizeFileCountLimit { get; private set; }

        /// <summary>
        /// Размер веб-сайта - дата замера.
        /// </summary>
        public string SizeDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SizePriorityScan { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string CopyLogs { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ContentComments { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ContentCommentsVerbose { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string MetaSaveCount { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BaseFolder { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string VirtualhostConf { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string VirtualhostServer { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string VirtualhostServerConf { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string LiveDayCount { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ScanDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string GlobalTransferCount { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string NetLimitFile { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string NetLimitDenyFromIp { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string NetLimitDenyFromAgent { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApachePhpPooled { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApachePhpPooledExt { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApachePhpPooledExtAuto { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApachePhpPool1Only { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApachePhpPool5Only { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApacheSsi { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BypassSecurity { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FlagGenericExec { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FlagNoWww { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BaseFolderSuffix { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FeedbackSpeed { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FeedbackSpeedDtc { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FeedbackSpeedFeedback { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string UnixPathOnWindows { get; private set; }

        /// <summary>
        /// Ограничение по IP адресам - FTP доступ.
        /// </summary>
        public string FtpIpfilter { get; private set; }

        /// <summary>
        /// Ограничение по IP адресам - SSH доступ.
        /// </summary>
        public string SshIpfilter { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string L3dAuto { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AwstatsPrimaryDomain { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SharepointMode { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SharepointModePending { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ApacheGenericPoolPort { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string MongrelEnvironment { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string FlagFree { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string RtmScanDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AnalyzeAnalog { get; private set; }

        /// <summary>
        /// Включен режим предоставления детализации процессорной нагрузки.
        /// </summary>
        public string CpuDetailsEnabled { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ContentModeratedStatus { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ContentModeratedDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string HttpFrontendIp { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string HttpFrontendIpTransition { get; private set; }

        /// <summary>
        /// Дата последнего превышения процессорной нагрузки.
        /// </summary>
        public string CpuLimitExceededDate { get; private set; }

        /// <summary>
        /// Признак сайта-конструктора.
        /// </summary>
        public string AufsTemplate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string OptionsAutolimit { get; private set; }

        /// <summary>
        /// Версия ASP.NET, если отлична от 2.0.
        /// </summary>
        public string IisCreationCommands { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string IisCreationCommandsUnix { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ThumbDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string ThumbFailed { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BackupStatDate { get; private set; }

        /// <summary>
        /// Дата пофайловой резервной копии.
        /// </summary>
        public string BackupDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string DetectedPackages { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string StatSitePower { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SmtpFrom { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SuperBackupDate { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BackupDeltaStatDate { get; private set; }

        /// <summary>
        /// Дата архивной резервной копии.
        /// </summary>
        public string BackupDeltaDate { get; private set; }

        /// <summary>
        /// Содержимое архивной резервной копии.
        /// </summary>
        public string BackupDeltaDesc { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootServer { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootPath { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootStatus { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootStatusCnt { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootStatusDate { get; private set; }

        /// <summary>
        /// Последнее изменение привязок доменов для сайта.
        /// </summary>
        public string BindDtc { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string BackupSpecialMode { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SizeCheckProblem { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string WpbDomain { get; private set; }

        /// <summary>
        /// Для сайта включен конструктор Parallels WPB.
        /// </summary>
        public string WpbUuid { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string WpbStatus { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AdminProtection { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string SizeComments { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string AltDocrootSsdReq { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string MailLimit { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string MailAccept { get; private set; }

        /// <summary>
        /// 
        /// </summary>
        public string MailDrop { get; private set; }

        /// <summary>
        /// FTP/SSH/SCP/SFTP логин.
        /// </summary>
        public string FtpName { get; private set; }

        /// <summary>
        /// FTP/SSH/SCP/SFTP пароль.
        /// </summary>
        public string FtpPwd { get; private set; }


        /// <summary>
        /// Empty constructor required by some serializers.
        /// Use InlineResponse20014.Builder() for instance creation instead.
        /// </summary>
        [Obsolete]
        public InlineResponse20014()
        {
        }

        private InlineResponse20014(int? Id, string Status, string Unmovable, string Online, string Deleted, string DeletedAuto, string DeletedDump, string UserId, string FtpId, string DnsId, string IisId, string IisBinding, string IisPath, string IisComments, string Memo, string DateReg, string Server, string ServerBak, string ServerAux, string ServerTransition, string ServerTransitionDtc, string BlockTransfer, string ServerChangedTime, string SizeAmount, string SizeFileCount, string SizeFileCountLimit, string SizeDate, string SizePriorityScan, string CopyLogs, string ContentComments, string ContentCommentsVerbose, string MetaSaveCount, string BaseFolder, string VirtualhostConf, string VirtualhostServer, string VirtualhostServerConf, string LiveDayCount, string ScanDate, string GlobalTransferCount, string NetLimitFile, string NetLimitDenyFromIp, string NetLimitDenyFromAgent, string ApachePhpPooled, string ApachePhpPooledExt, string ApachePhpPooledExtAuto, string ApachePhpPool1Only, string ApachePhpPool5Only, string ApacheSsi, string BypassSecurity, string FlagGenericExec, string FlagNoWww, string BaseFolderSuffix, string FeedbackSpeed, string FeedbackSpeedDtc, string FeedbackSpeedFeedback, string UnixPathOnWindows, string FtpIpfilter, string SshIpfilter, string L3dAuto, string AwstatsPrimaryDomain, string SharepointMode, string SharepointModePending, string ApacheGenericPoolPort, string MongrelEnvironment, string FlagFree, string RtmScanDate, string AnalyzeAnalog, string CpuDetailsEnabled, string ContentModeratedStatus, string ContentModeratedDate, string HttpFrontendIp, string HttpFrontendIpTransition, string CpuLimitExceededDate, string AufsTemplate, string OptionsAutolimit, string IisCreationCommands, string IisCreationCommandsUnix, string ThumbDate, string ThumbFailed, string BackupStatDate, string BackupDate, string DetectedPackages, string StatSitePower, string SmtpFrom, string SuperBackupDate, string BackupDeltaStatDate, string BackupDeltaDate, string BackupDeltaDesc, string AltDocrootServer, string AltDocrootPath, string AltDocrootStatus, string AltDocrootStatusCnt, string AltDocrootStatusDate, string BindDtc, string BackupSpecialMode, string SizeCheckProblem, string WpbDomain, string WpbUuid, string WpbStatus, string AdminProtection, string SizeComments, string AltDocrootSsdReq, string MailLimit, string MailAccept, string MailDrop, string FtpName, string FtpPwd)
        {
            
            this.Id = Id;
            
            this.Status = Status;
            
            this.Unmovable = Unmovable;
            
            this.Online = Online;
            
            this.Deleted = Deleted;
            
            this.DeletedAuto = DeletedAuto;
            
            this.DeletedDump = DeletedDump;
            
            this.UserId = UserId;
            
            this.FtpId = FtpId;
            
            this.DnsId = DnsId;
            
            this.IisId = IisId;
            
            this.IisBinding = IisBinding;
            
            this.IisPath = IisPath;
            
            this.IisComments = IisComments;
            
            this.Memo = Memo;
            
            this.DateReg = DateReg;
            
            this.Server = Server;
            
            this.ServerBak = ServerBak;
            
            this.ServerAux = ServerAux;
            
            this.ServerTransition = ServerTransition;
            
            this.ServerTransitionDtc = ServerTransitionDtc;
            
            this.BlockTransfer = BlockTransfer;
            
            this.ServerChangedTime = ServerChangedTime;
            
            this.SizeAmount = SizeAmount;
            
            this.SizeFileCount = SizeFileCount;
            
            this.SizeFileCountLimit = SizeFileCountLimit;
            
            this.SizeDate = SizeDate;
            
            this.SizePriorityScan = SizePriorityScan;
            
            this.CopyLogs = CopyLogs;
            
            this.ContentComments = ContentComments;
            
            this.ContentCommentsVerbose = ContentCommentsVerbose;
            
            this.MetaSaveCount = MetaSaveCount;
            
            this.BaseFolder = BaseFolder;
            
            this.VirtualhostConf = VirtualhostConf;
            
            this.VirtualhostServer = VirtualhostServer;
            
            this.VirtualhostServerConf = VirtualhostServerConf;
            
            this.LiveDayCount = LiveDayCount;
            
            this.ScanDate = ScanDate;
            
            this.GlobalTransferCount = GlobalTransferCount;
            
            this.NetLimitFile = NetLimitFile;
            
            this.NetLimitDenyFromIp = NetLimitDenyFromIp;
            
            this.NetLimitDenyFromAgent = NetLimitDenyFromAgent;
            
            this.ApachePhpPooled = ApachePhpPooled;
            
            this.ApachePhpPooledExt = ApachePhpPooledExt;
            
            this.ApachePhpPooledExtAuto = ApachePhpPooledExtAuto;
            
            this.ApachePhpPool1Only = ApachePhpPool1Only;
            
            this.ApachePhpPool5Only = ApachePhpPool5Only;
            
            this.ApacheSsi = ApacheSsi;
            
            this.BypassSecurity = BypassSecurity;
            
            this.FlagGenericExec = FlagGenericExec;
            
            this.FlagNoWww = FlagNoWww;
            
            this.BaseFolderSuffix = BaseFolderSuffix;
            
            this.FeedbackSpeed = FeedbackSpeed;
            
            this.FeedbackSpeedDtc = FeedbackSpeedDtc;
            
            this.FeedbackSpeedFeedback = FeedbackSpeedFeedback;
            
            this.UnixPathOnWindows = UnixPathOnWindows;
            
            this.FtpIpfilter = FtpIpfilter;
            
            this.SshIpfilter = SshIpfilter;
            
            this.L3dAuto = L3dAuto;
            
            this.AwstatsPrimaryDomain = AwstatsPrimaryDomain;
            
            this.SharepointMode = SharepointMode;
            
            this.SharepointModePending = SharepointModePending;
            
            this.ApacheGenericPoolPort = ApacheGenericPoolPort;
            
            this.MongrelEnvironment = MongrelEnvironment;
            
            this.FlagFree = FlagFree;
            
            this.RtmScanDate = RtmScanDate;
            
            this.AnalyzeAnalog = AnalyzeAnalog;
            
            this.CpuDetailsEnabled = CpuDetailsEnabled;
            
            this.ContentModeratedStatus = ContentModeratedStatus;
            
            this.ContentModeratedDate = ContentModeratedDate;
            
            this.HttpFrontendIp = HttpFrontendIp;
            
            this.HttpFrontendIpTransition = HttpFrontendIpTransition;
            
            this.CpuLimitExceededDate = CpuLimitExceededDate;
            
            this.AufsTemplate = AufsTemplate;
            
            this.OptionsAutolimit = OptionsAutolimit;
            
            this.IisCreationCommands = IisCreationCommands;
            
            this.IisCreationCommandsUnix = IisCreationCommandsUnix;
            
            this.ThumbDate = ThumbDate;
            
            this.ThumbFailed = ThumbFailed;
            
            this.BackupStatDate = BackupStatDate;
            
            this.BackupDate = BackupDate;
            
            this.DetectedPackages = DetectedPackages;
            
            this.StatSitePower = StatSitePower;
            
            this.SmtpFrom = SmtpFrom;
            
            this.SuperBackupDate = SuperBackupDate;
            
            this.BackupDeltaStatDate = BackupDeltaStatDate;
            
            this.BackupDeltaDate = BackupDeltaDate;
            
            this.BackupDeltaDesc = BackupDeltaDesc;
            
            this.AltDocrootServer = AltDocrootServer;
            
            this.AltDocrootPath = AltDocrootPath;
            
            this.AltDocrootStatus = AltDocrootStatus;
            
            this.AltDocrootStatusCnt = AltDocrootStatusCnt;
            
            this.AltDocrootStatusDate = AltDocrootStatusDate;
            
            this.BindDtc = BindDtc;
            
            this.BackupSpecialMode = BackupSpecialMode;
            
            this.SizeCheckProblem = SizeCheckProblem;
            
            this.WpbDomain = WpbDomain;
            
            this.WpbUuid = WpbUuid;
            
            this.WpbStatus = WpbStatus;
            
            this.AdminProtection = AdminProtection;
            
            this.SizeComments = SizeComments;
            
            this.AltDocrootSsdReq = AltDocrootSsdReq;
            
            this.MailLimit = MailLimit;
            
            this.MailAccept = MailAccept;
            
            this.MailDrop = MailDrop;
            
            this.FtpName = FtpName;
            
            this.FtpPwd = FtpPwd;
            
        }

        /// <summary>
        /// Returns builder of InlineResponse20014.
        /// </summary>
        /// <returns>InlineResponse20014Builder</returns>
        public static InlineResponse20014Builder Builder()
        {
            return new InlineResponse20014Builder();
        }

        /// <summary>
        /// Returns InlineResponse20014Builder with properties set.
        /// Use it to change properties.
        /// </summary>
        /// <returns>InlineResponse20014Builder</returns>
        public InlineResponse20014Builder With()
        {
            return Builder()
                .Id(Id)
                .Status(Status)
                .Unmovable(Unmovable)
                .Online(Online)
                .Deleted(Deleted)
                .DeletedAuto(DeletedAuto)
                .DeletedDump(DeletedDump)
                .UserId(UserId)
                .FtpId(FtpId)
                .DnsId(DnsId)
                .IisId(IisId)
                .IisBinding(IisBinding)
                .IisPath(IisPath)
                .IisComments(IisComments)
                .Memo(Memo)
                .DateReg(DateReg)
                .Server(Server)
                .ServerBak(ServerBak)
                .ServerAux(ServerAux)
                .ServerTransition(ServerTransition)
                .ServerTransitionDtc(ServerTransitionDtc)
                .BlockTransfer(BlockTransfer)
                .ServerChangedTime(ServerChangedTime)
                .SizeAmount(SizeAmount)
                .SizeFileCount(SizeFileCount)
                .SizeFileCountLimit(SizeFileCountLimit)
                .SizeDate(SizeDate)
                .SizePriorityScan(SizePriorityScan)
                .CopyLogs(CopyLogs)
                .ContentComments(ContentComments)
                .ContentCommentsVerbose(ContentCommentsVerbose)
                .MetaSaveCount(MetaSaveCount)
                .BaseFolder(BaseFolder)
                .VirtualhostConf(VirtualhostConf)
                .VirtualhostServer(VirtualhostServer)
                .VirtualhostServerConf(VirtualhostServerConf)
                .LiveDayCount(LiveDayCount)
                .ScanDate(ScanDate)
                .GlobalTransferCount(GlobalTransferCount)
                .NetLimitFile(NetLimitFile)
                .NetLimitDenyFromIp(NetLimitDenyFromIp)
                .NetLimitDenyFromAgent(NetLimitDenyFromAgent)
                .ApachePhpPooled(ApachePhpPooled)
                .ApachePhpPooledExt(ApachePhpPooledExt)
                .ApachePhpPooledExtAuto(ApachePhpPooledExtAuto)
                .ApachePhpPool1Only(ApachePhpPool1Only)
                .ApachePhpPool5Only(ApachePhpPool5Only)
                .ApacheSsi(ApacheSsi)
                .BypassSecurity(BypassSecurity)
                .FlagGenericExec(FlagGenericExec)
                .FlagNoWww(FlagNoWww)
                .BaseFolderSuffix(BaseFolderSuffix)
                .FeedbackSpeed(FeedbackSpeed)
                .FeedbackSpeedDtc(FeedbackSpeedDtc)
                .FeedbackSpeedFeedback(FeedbackSpeedFeedback)
                .UnixPathOnWindows(UnixPathOnWindows)
                .FtpIpfilter(FtpIpfilter)
                .SshIpfilter(SshIpfilter)
                .L3dAuto(L3dAuto)
                .AwstatsPrimaryDomain(AwstatsPrimaryDomain)
                .SharepointMode(SharepointMode)
                .SharepointModePending(SharepointModePending)
                .ApacheGenericPoolPort(ApacheGenericPoolPort)
                .MongrelEnvironment(MongrelEnvironment)
                .FlagFree(FlagFree)
                .RtmScanDate(RtmScanDate)
                .AnalyzeAnalog(AnalyzeAnalog)
                .CpuDetailsEnabled(CpuDetailsEnabled)
                .ContentModeratedStatus(ContentModeratedStatus)
                .ContentModeratedDate(ContentModeratedDate)
                .HttpFrontendIp(HttpFrontendIp)
                .HttpFrontendIpTransition(HttpFrontendIpTransition)
                .CpuLimitExceededDate(CpuLimitExceededDate)
                .AufsTemplate(AufsTemplate)
                .OptionsAutolimit(OptionsAutolimit)
                .IisCreationCommands(IisCreationCommands)
                .IisCreationCommandsUnix(IisCreationCommandsUnix)
                .ThumbDate(ThumbDate)
                .ThumbFailed(ThumbFailed)
                .BackupStatDate(BackupStatDate)
                .BackupDate(BackupDate)
                .DetectedPackages(DetectedPackages)
                .StatSitePower(StatSitePower)
                .SmtpFrom(SmtpFrom)
                .SuperBackupDate(SuperBackupDate)
                .BackupDeltaStatDate(BackupDeltaStatDate)
                .BackupDeltaDate(BackupDeltaDate)
                .BackupDeltaDesc(BackupDeltaDesc)
                .AltDocrootServer(AltDocrootServer)
                .AltDocrootPath(AltDocrootPath)
                .AltDocrootStatus(AltDocrootStatus)
                .AltDocrootStatusCnt(AltDocrootStatusCnt)
                .AltDocrootStatusDate(AltDocrootStatusDate)
                .BindDtc(BindDtc)
                .BackupSpecialMode(BackupSpecialMode)
                .SizeCheckProblem(SizeCheckProblem)
                .WpbDomain(WpbDomain)
                .WpbUuid(WpbUuid)
                .WpbStatus(WpbStatus)
                .AdminProtection(AdminProtection)
                .SizeComments(SizeComments)
                .AltDocrootSsdReq(AltDocrootSsdReq)
                .MailLimit(MailLimit)
                .MailAccept(MailAccept)
                .MailDrop(MailDrop)
                .FtpName(FtpName)
                .FtpPwd(FtpPwd);
        }

        public override string ToString()
        {
            return this.PropertiesToString();
        }

        public override bool Equals(object obj)
        {
            return this.EqualsByProperties(obj);
        }

        public bool Equals(InlineResponse20014 other)
        {
            return Equals((object) other);
        }

        public override int GetHashCode()
        {
            return this.PropertiesHash();
        }

        /// <summary>
        /// Implementation of == operator for (InlineResponse20014.
        /// </summary>
        /// <param name="left">Compared (InlineResponse20014</param>
        /// <param name="right">Compared (InlineResponse20014</param>
        /// <returns>true if compared items are equals, false otherwise</returns>
        public static bool operator == (InlineResponse20014 left, InlineResponse20014 right)
        {
            return Equals(left, right);
        }

        /// <summary>
        /// Implementation of != operator for (InlineResponse20014.
        /// </summary>
        /// <param name="left">Compared (InlineResponse20014</param>
        /// <param name="right">Compared (InlineResponse20014</param>
        /// <returns>true if compared items are not equals, false otherwise</returns>
        public static bool operator != (InlineResponse20014 left, InlineResponse20014 right)
        {
            return !Equals(left, right);
        }

        /// <summary>
        /// Builder of InlineResponse20014.
        /// </summary>
        public sealed class InlineResponse20014Builder
        {
            private int? _Id;
            private string _Status;
            private string _Unmovable;
            private string _Online;
            private string _Deleted;
            private string _DeletedAuto;
            private string _DeletedDump;
            private string _UserId;
            private string _FtpId;
            private string _DnsId;
            private string _IisId;
            private string _IisBinding;
            private string _IisPath;
            private string _IisComments;
            private string _Memo;
            private string _DateReg;
            private string _Server;
            private string _ServerBak;
            private string _ServerAux;
            private string _ServerTransition;
            private string _ServerTransitionDtc;
            private string _BlockTransfer;
            private string _ServerChangedTime;
            private string _SizeAmount;
            private string _SizeFileCount;
            private string _SizeFileCountLimit;
            private string _SizeDate;
            private string _SizePriorityScan;
            private string _CopyLogs;
            private string _ContentComments;
            private string _ContentCommentsVerbose;
            private string _MetaSaveCount;
            private string _BaseFolder;
            private string _VirtualhostConf;
            private string _VirtualhostServer;
            private string _VirtualhostServerConf;
            private string _LiveDayCount;
            private string _ScanDate;
            private string _GlobalTransferCount;
            private string _NetLimitFile;
            private string _NetLimitDenyFromIp;
            private string _NetLimitDenyFromAgent;
            private string _ApachePhpPooled;
            private string _ApachePhpPooledExt;
            private string _ApachePhpPooledExtAuto;
            private string _ApachePhpPool1Only;
            private string _ApachePhpPool5Only;
            private string _ApacheSsi;
            private string _BypassSecurity;
            private string _FlagGenericExec;
            private string _FlagNoWww;
            private string _BaseFolderSuffix;
            private string _FeedbackSpeed;
            private string _FeedbackSpeedDtc;
            private string _FeedbackSpeedFeedback;
            private string _UnixPathOnWindows;
            private string _FtpIpfilter;
            private string _SshIpfilter;
            private string _L3dAuto;
            private string _AwstatsPrimaryDomain;
            private string _SharepointMode;
            private string _SharepointModePending;
            private string _ApacheGenericPoolPort;
            private string _MongrelEnvironment;
            private string _FlagFree;
            private string _RtmScanDate;
            private string _AnalyzeAnalog;
            private string _CpuDetailsEnabled;
            private string _ContentModeratedStatus;
            private string _ContentModeratedDate;
            private string _HttpFrontendIp;
            private string _HttpFrontendIpTransition;
            private string _CpuLimitExceededDate;
            private string _AufsTemplate;
            private string _OptionsAutolimit;
            private string _IisCreationCommands;
            private string _IisCreationCommandsUnix;
            private string _ThumbDate;
            private string _ThumbFailed;
            private string _BackupStatDate;
            private string _BackupDate;
            private string _DetectedPackages;
            private string _StatSitePower;
            private string _SmtpFrom;
            private string _SuperBackupDate;
            private string _BackupDeltaStatDate;
            private string _BackupDeltaDate;
            private string _BackupDeltaDesc;
            private string _AltDocrootServer;
            private string _AltDocrootPath;
            private string _AltDocrootStatus;
            private string _AltDocrootStatusCnt;
            private string _AltDocrootStatusDate;
            private string _BindDtc;
            private string _BackupSpecialMode;
            private string _SizeCheckProblem;
            private string _WpbDomain;
            private string _WpbUuid;
            private string _WpbStatus;
            private string _AdminProtection;
            private string _SizeComments;
            private string _AltDocrootSsdReq;
            private string _MailLimit;
            private string _MailAccept;
            private string _MailDrop;
            private string _FtpName;
            private string _FtpPwd;

            internal InlineResponse20014Builder()
            {
                SetupDefaults();
            }

            private void SetupDefaults()
            {
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Id property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder Id(int? value)
            {
                _Id = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Status property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder Status(string value)
            {
                _Status = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Unmovable property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder Unmovable(string value)
            {
                _Unmovable = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Online property.
            /// </summary>
            /// <param name="value">Включен (активен), если true.</param>
            public InlineResponse20014Builder Online(string value)
            {
                _Online = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Deleted property.
            /// </summary>
            /// <param name="value">Удален, если true. Данные могут сохраняться.</param>
            public InlineResponse20014Builder Deleted(string value)
            {
                _Deleted = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.DeletedAuto property.
            /// </summary>
            /// <param name="value">Удален, если true. Данные могут сохраняться.</param>
            public InlineResponse20014Builder DeletedAuto(string value)
            {
                _DeletedAuto = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.DeletedDump property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder DeletedDump(string value)
            {
                _DeletedDump = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.UserId property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder UserId(string value)
            {
                _UserId = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FtpId property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FtpId(string value)
            {
                _FtpId = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.DnsId property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder DnsId(string value)
            {
                _DnsId = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisId property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder IisId(string value)
            {
                _IisId = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisBinding property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder IisBinding(string value)
            {
                _IisBinding = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisPath property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder IisPath(string value)
            {
                _IisPath = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisComments property.
            /// </summary>
            /// <param name="value">Уникальное строковое имя сайта (ID).</param>
            public InlineResponse20014Builder IisComments(string value)
            {
                _IisComments = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Memo property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder Memo(string value)
            {
                _Memo = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.DateReg property.
            /// </summary>
            /// <param name="value">Дата создания.</param>
            public InlineResponse20014Builder DateReg(string value)
            {
                _DateReg = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.Server property.
            /// </summary>
            /// <param name="value">Тип веб-сервера.</param>
            public InlineResponse20014Builder Server(string value)
            {
                _Server = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ServerBak property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ServerBak(string value)
            {
                _ServerBak = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ServerAux property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ServerAux(string value)
            {
                _ServerAux = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ServerTransition property.
            /// </summary>
            /// <param name="value">Тип сервера недавно изменялся, если true.</param>
            public InlineResponse20014Builder ServerTransition(string value)
            {
                _ServerTransition = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ServerTransitionDtc property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ServerTransitionDtc(string value)
            {
                _ServerTransitionDtc = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BlockTransfer property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BlockTransfer(string value)
            {
                _BlockTransfer = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ServerChangedTime property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ServerChangedTime(string value)
            {
                _ServerChangedTime = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeAmount property.
            /// </summary>
            /// <param name="value">Размер веб-сайта - объем (Кб).</param>
            public InlineResponse20014Builder SizeAmount(string value)
            {
                _SizeAmount = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeFileCount property.
            /// </summary>
            /// <param name="value">Размер веб-сайта - кол-во файлов.</param>
            public InlineResponse20014Builder SizeFileCount(string value)
            {
                _SizeFileCount = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeFileCountLimit property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SizeFileCountLimit(string value)
            {
                _SizeFileCountLimit = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeDate property.
            /// </summary>
            /// <param name="value">Размер веб-сайта - дата замера.</param>
            public InlineResponse20014Builder SizeDate(string value)
            {
                _SizeDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizePriorityScan property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SizePriorityScan(string value)
            {
                _SizePriorityScan = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.CopyLogs property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder CopyLogs(string value)
            {
                _CopyLogs = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ContentComments property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ContentComments(string value)
            {
                _ContentComments = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ContentCommentsVerbose property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ContentCommentsVerbose(string value)
            {
                _ContentCommentsVerbose = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.MetaSaveCount property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder MetaSaveCount(string value)
            {
                _MetaSaveCount = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BaseFolder property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BaseFolder(string value)
            {
                _BaseFolder = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.VirtualhostConf property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder VirtualhostConf(string value)
            {
                _VirtualhostConf = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.VirtualhostServer property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder VirtualhostServer(string value)
            {
                _VirtualhostServer = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.VirtualhostServerConf property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder VirtualhostServerConf(string value)
            {
                _VirtualhostServerConf = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.LiveDayCount property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder LiveDayCount(string value)
            {
                _LiveDayCount = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ScanDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ScanDate(string value)
            {
                _ScanDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.GlobalTransferCount property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder GlobalTransferCount(string value)
            {
                _GlobalTransferCount = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.NetLimitFile property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder NetLimitFile(string value)
            {
                _NetLimitFile = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.NetLimitDenyFromIp property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder NetLimitDenyFromIp(string value)
            {
                _NetLimitDenyFromIp = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.NetLimitDenyFromAgent property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder NetLimitDenyFromAgent(string value)
            {
                _NetLimitDenyFromAgent = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApachePhpPooled property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApachePhpPooled(string value)
            {
                _ApachePhpPooled = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApachePhpPooledExt property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApachePhpPooledExt(string value)
            {
                _ApachePhpPooledExt = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApachePhpPooledExtAuto property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApachePhpPooledExtAuto(string value)
            {
                _ApachePhpPooledExtAuto = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApachePhpPool1Only property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApachePhpPool1Only(string value)
            {
                _ApachePhpPool1Only = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApachePhpPool5Only property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApachePhpPool5Only(string value)
            {
                _ApachePhpPool5Only = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApacheSsi property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApacheSsi(string value)
            {
                _ApacheSsi = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BypassSecurity property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BypassSecurity(string value)
            {
                _BypassSecurity = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FlagGenericExec property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FlagGenericExec(string value)
            {
                _FlagGenericExec = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FlagNoWww property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FlagNoWww(string value)
            {
                _FlagNoWww = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BaseFolderSuffix property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BaseFolderSuffix(string value)
            {
                _BaseFolderSuffix = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FeedbackSpeed property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FeedbackSpeed(string value)
            {
                _FeedbackSpeed = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FeedbackSpeedDtc property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FeedbackSpeedDtc(string value)
            {
                _FeedbackSpeedDtc = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FeedbackSpeedFeedback property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FeedbackSpeedFeedback(string value)
            {
                _FeedbackSpeedFeedback = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.UnixPathOnWindows property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder UnixPathOnWindows(string value)
            {
                _UnixPathOnWindows = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FtpIpfilter property.
            /// </summary>
            /// <param name="value">Ограничение по IP адресам - FTP доступ.</param>
            public InlineResponse20014Builder FtpIpfilter(string value)
            {
                _FtpIpfilter = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SshIpfilter property.
            /// </summary>
            /// <param name="value">Ограничение по IP адресам - SSH доступ.</param>
            public InlineResponse20014Builder SshIpfilter(string value)
            {
                _SshIpfilter = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.L3dAuto property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder L3dAuto(string value)
            {
                _L3dAuto = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AwstatsPrimaryDomain property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AwstatsPrimaryDomain(string value)
            {
                _AwstatsPrimaryDomain = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SharepointMode property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SharepointMode(string value)
            {
                _SharepointMode = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SharepointModePending property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SharepointModePending(string value)
            {
                _SharepointModePending = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ApacheGenericPoolPort property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ApacheGenericPoolPort(string value)
            {
                _ApacheGenericPoolPort = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.MongrelEnvironment property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder MongrelEnvironment(string value)
            {
                _MongrelEnvironment = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FlagFree property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder FlagFree(string value)
            {
                _FlagFree = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.RtmScanDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder RtmScanDate(string value)
            {
                _RtmScanDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AnalyzeAnalog property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AnalyzeAnalog(string value)
            {
                _AnalyzeAnalog = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.CpuDetailsEnabled property.
            /// </summary>
            /// <param name="value">Включен режим предоставления детализации процессорной нагрузки.</param>
            public InlineResponse20014Builder CpuDetailsEnabled(string value)
            {
                _CpuDetailsEnabled = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ContentModeratedStatus property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ContentModeratedStatus(string value)
            {
                _ContentModeratedStatus = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ContentModeratedDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ContentModeratedDate(string value)
            {
                _ContentModeratedDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.HttpFrontendIp property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder HttpFrontendIp(string value)
            {
                _HttpFrontendIp = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.HttpFrontendIpTransition property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder HttpFrontendIpTransition(string value)
            {
                _HttpFrontendIpTransition = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.CpuLimitExceededDate property.
            /// </summary>
            /// <param name="value">Дата последнего превышения процессорной нагрузки.</param>
            public InlineResponse20014Builder CpuLimitExceededDate(string value)
            {
                _CpuLimitExceededDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AufsTemplate property.
            /// </summary>
            /// <param name="value">Признак сайта-конструктора.</param>
            public InlineResponse20014Builder AufsTemplate(string value)
            {
                _AufsTemplate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.OptionsAutolimit property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder OptionsAutolimit(string value)
            {
                _OptionsAutolimit = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisCreationCommands property.
            /// </summary>
            /// <param name="value">Версия ASP.NET, если отлична от 2.0.</param>
            public InlineResponse20014Builder IisCreationCommands(string value)
            {
                _IisCreationCommands = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.IisCreationCommandsUnix property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder IisCreationCommandsUnix(string value)
            {
                _IisCreationCommandsUnix = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ThumbDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ThumbDate(string value)
            {
                _ThumbDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.ThumbFailed property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder ThumbFailed(string value)
            {
                _ThumbFailed = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupStatDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BackupStatDate(string value)
            {
                _BackupStatDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupDate property.
            /// </summary>
            /// <param name="value">Дата пофайловой резервной копии.</param>
            public InlineResponse20014Builder BackupDate(string value)
            {
                _BackupDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.DetectedPackages property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder DetectedPackages(string value)
            {
                _DetectedPackages = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.StatSitePower property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder StatSitePower(string value)
            {
                _StatSitePower = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SmtpFrom property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SmtpFrom(string value)
            {
                _SmtpFrom = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SuperBackupDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SuperBackupDate(string value)
            {
                _SuperBackupDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupDeltaStatDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BackupDeltaStatDate(string value)
            {
                _BackupDeltaStatDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupDeltaDate property.
            /// </summary>
            /// <param name="value">Дата архивной резервной копии.</param>
            public InlineResponse20014Builder BackupDeltaDate(string value)
            {
                _BackupDeltaDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupDeltaDesc property.
            /// </summary>
            /// <param name="value">Содержимое архивной резервной копии.</param>
            public InlineResponse20014Builder BackupDeltaDesc(string value)
            {
                _BackupDeltaDesc = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootServer property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootServer(string value)
            {
                _AltDocrootServer = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootPath property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootPath(string value)
            {
                _AltDocrootPath = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootStatus property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootStatus(string value)
            {
                _AltDocrootStatus = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootStatusCnt property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootStatusCnt(string value)
            {
                _AltDocrootStatusCnt = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootStatusDate property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootStatusDate(string value)
            {
                _AltDocrootStatusDate = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BindDtc property.
            /// </summary>
            /// <param name="value">Последнее изменение привязок доменов для сайта.</param>
            public InlineResponse20014Builder BindDtc(string value)
            {
                _BindDtc = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.BackupSpecialMode property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder BackupSpecialMode(string value)
            {
                _BackupSpecialMode = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeCheckProblem property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SizeCheckProblem(string value)
            {
                _SizeCheckProblem = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.WpbDomain property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder WpbDomain(string value)
            {
                _WpbDomain = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.WpbUuid property.
            /// </summary>
            /// <param name="value">Для сайта включен конструктор Parallels WPB.</param>
            public InlineResponse20014Builder WpbUuid(string value)
            {
                _WpbUuid = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.WpbStatus property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder WpbStatus(string value)
            {
                _WpbStatus = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AdminProtection property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AdminProtection(string value)
            {
                _AdminProtection = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.SizeComments property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder SizeComments(string value)
            {
                _SizeComments = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.AltDocrootSsdReq property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder AltDocrootSsdReq(string value)
            {
                _AltDocrootSsdReq = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.MailLimit property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder MailLimit(string value)
            {
                _MailLimit = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.MailAccept property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder MailAccept(string value)
            {
                _MailAccept = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.MailDrop property.
            /// </summary>
            /// <param name="value"></param>
            public InlineResponse20014Builder MailDrop(string value)
            {
                _MailDrop = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FtpName property.
            /// </summary>
            /// <param name="value">FTP/SSH/SCP/SFTP логин.</param>
            public InlineResponse20014Builder FtpName(string value)
            {
                _FtpName = value;
                return this;
            }

            /// <summary>
            /// Sets value for InlineResponse20014.FtpPwd property.
            /// </summary>
            /// <param name="value">FTP/SSH/SCP/SFTP пароль.</param>
            public InlineResponse20014Builder FtpPwd(string value)
            {
                _FtpPwd = value;
                return this;
            }


            /// <summary>
            /// Builds instance of InlineResponse20014.
            /// </summary>
            /// <returns>InlineResponse20014</returns>
            public InlineResponse20014 Build()
            {
                Validate();
                return new InlineResponse20014(
                    Id: _Id,
                    Status: _Status,
                    Unmovable: _Unmovable,
                    Online: _Online,
                    Deleted: _Deleted,
                    DeletedAuto: _DeletedAuto,
                    DeletedDump: _DeletedDump,
                    UserId: _UserId,
                    FtpId: _FtpId,
                    DnsId: _DnsId,
                    IisId: _IisId,
                    IisBinding: _IisBinding,
                    IisPath: _IisPath,
                    IisComments: _IisComments,
                    Memo: _Memo,
                    DateReg: _DateReg,
                    Server: _Server,
                    ServerBak: _ServerBak,
                    ServerAux: _ServerAux,
                    ServerTransition: _ServerTransition,
                    ServerTransitionDtc: _ServerTransitionDtc,
                    BlockTransfer: _BlockTransfer,
                    ServerChangedTime: _ServerChangedTime,
                    SizeAmount: _SizeAmount,
                    SizeFileCount: _SizeFileCount,
                    SizeFileCountLimit: _SizeFileCountLimit,
                    SizeDate: _SizeDate,
                    SizePriorityScan: _SizePriorityScan,
                    CopyLogs: _CopyLogs,
                    ContentComments: _ContentComments,
                    ContentCommentsVerbose: _ContentCommentsVerbose,
                    MetaSaveCount: _MetaSaveCount,
                    BaseFolder: _BaseFolder,
                    VirtualhostConf: _VirtualhostConf,
                    VirtualhostServer: _VirtualhostServer,
                    VirtualhostServerConf: _VirtualhostServerConf,
                    LiveDayCount: _LiveDayCount,
                    ScanDate: _ScanDate,
                    GlobalTransferCount: _GlobalTransferCount,
                    NetLimitFile: _NetLimitFile,
                    NetLimitDenyFromIp: _NetLimitDenyFromIp,
                    NetLimitDenyFromAgent: _NetLimitDenyFromAgent,
                    ApachePhpPooled: _ApachePhpPooled,
                    ApachePhpPooledExt: _ApachePhpPooledExt,
                    ApachePhpPooledExtAuto: _ApachePhpPooledExtAuto,
                    ApachePhpPool1Only: _ApachePhpPool1Only,
                    ApachePhpPool5Only: _ApachePhpPool5Only,
                    ApacheSsi: _ApacheSsi,
                    BypassSecurity: _BypassSecurity,
                    FlagGenericExec: _FlagGenericExec,
                    FlagNoWww: _FlagNoWww,
                    BaseFolderSuffix: _BaseFolderSuffix,
                    FeedbackSpeed: _FeedbackSpeed,
                    FeedbackSpeedDtc: _FeedbackSpeedDtc,
                    FeedbackSpeedFeedback: _FeedbackSpeedFeedback,
                    UnixPathOnWindows: _UnixPathOnWindows,
                    FtpIpfilter: _FtpIpfilter,
                    SshIpfilter: _SshIpfilter,
                    L3dAuto: _L3dAuto,
                    AwstatsPrimaryDomain: _AwstatsPrimaryDomain,
                    SharepointMode: _SharepointMode,
                    SharepointModePending: _SharepointModePending,
                    ApacheGenericPoolPort: _ApacheGenericPoolPort,
                    MongrelEnvironment: _MongrelEnvironment,
                    FlagFree: _FlagFree,
                    RtmScanDate: _RtmScanDate,
                    AnalyzeAnalog: _AnalyzeAnalog,
                    CpuDetailsEnabled: _CpuDetailsEnabled,
                    ContentModeratedStatus: _ContentModeratedStatus,
                    ContentModeratedDate: _ContentModeratedDate,
                    HttpFrontendIp: _HttpFrontendIp,
                    HttpFrontendIpTransition: _HttpFrontendIpTransition,
                    CpuLimitExceededDate: _CpuLimitExceededDate,
                    AufsTemplate: _AufsTemplate,
                    OptionsAutolimit: _OptionsAutolimit,
                    IisCreationCommands: _IisCreationCommands,
                    IisCreationCommandsUnix: _IisCreationCommandsUnix,
                    ThumbDate: _ThumbDate,
                    ThumbFailed: _ThumbFailed,
                    BackupStatDate: _BackupStatDate,
                    BackupDate: _BackupDate,
                    DetectedPackages: _DetectedPackages,
                    StatSitePower: _StatSitePower,
                    SmtpFrom: _SmtpFrom,
                    SuperBackupDate: _SuperBackupDate,
                    BackupDeltaStatDate: _BackupDeltaStatDate,
                    BackupDeltaDate: _BackupDeltaDate,
                    BackupDeltaDesc: _BackupDeltaDesc,
                    AltDocrootServer: _AltDocrootServer,
                    AltDocrootPath: _AltDocrootPath,
                    AltDocrootStatus: _AltDocrootStatus,
                    AltDocrootStatusCnt: _AltDocrootStatusCnt,
                    AltDocrootStatusDate: _AltDocrootStatusDate,
                    BindDtc: _BindDtc,
                    BackupSpecialMode: _BackupSpecialMode,
                    SizeCheckProblem: _SizeCheckProblem,
                    WpbDomain: _WpbDomain,
                    WpbUuid: _WpbUuid,
                    WpbStatus: _WpbStatus,
                    AdminProtection: _AdminProtection,
                    SizeComments: _SizeComments,
                    AltDocrootSsdReq: _AltDocrootSsdReq,
                    MailLimit: _MailLimit,
                    MailAccept: _MailAccept,
                    MailDrop: _MailDrop,
                    FtpName: _FtpName,
                    FtpPwd: _FtpPwd
                );
            }

            private void Validate()
            { 
                if (_Id == null)
                {
                    throw new ArgumentException("Id is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Status == null)
                {
                    throw new ArgumentException("Status is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Unmovable == null)
                {
                    throw new ArgumentException("Unmovable is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Online == null)
                {
                    throw new ArgumentException("Online is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Deleted == null)
                {
                    throw new ArgumentException("Deleted is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_DeletedAuto == null)
                {
                    throw new ArgumentException("DeletedAuto is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_DeletedDump == null)
                {
                    throw new ArgumentException("DeletedDump is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_UserId == null)
                {
                    throw new ArgumentException("UserId is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FtpId == null)
                {
                    throw new ArgumentException("FtpId is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_DnsId == null)
                {
                    throw new ArgumentException("DnsId is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisId == null)
                {
                    throw new ArgumentException("IisId is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisBinding == null)
                {
                    throw new ArgumentException("IisBinding is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisPath == null)
                {
                    throw new ArgumentException("IisPath is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisComments == null)
                {
                    throw new ArgumentException("IisComments is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Memo == null)
                {
                    throw new ArgumentException("Memo is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_DateReg == null)
                {
                    throw new ArgumentException("DateReg is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_Server == null)
                {
                    throw new ArgumentException("Server is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ServerBak == null)
                {
                    throw new ArgumentException("ServerBak is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ServerAux == null)
                {
                    throw new ArgumentException("ServerAux is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ServerTransition == null)
                {
                    throw new ArgumentException("ServerTransition is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ServerTransitionDtc == null)
                {
                    throw new ArgumentException("ServerTransitionDtc is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BlockTransfer == null)
                {
                    throw new ArgumentException("BlockTransfer is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ServerChangedTime == null)
                {
                    throw new ArgumentException("ServerChangedTime is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeAmount == null)
                {
                    throw new ArgumentException("SizeAmount is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeFileCount == null)
                {
                    throw new ArgumentException("SizeFileCount is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeFileCountLimit == null)
                {
                    throw new ArgumentException("SizeFileCountLimit is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeDate == null)
                {
                    throw new ArgumentException("SizeDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizePriorityScan == null)
                {
                    throw new ArgumentException("SizePriorityScan is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_CopyLogs == null)
                {
                    throw new ArgumentException("CopyLogs is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ContentComments == null)
                {
                    throw new ArgumentException("ContentComments is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ContentCommentsVerbose == null)
                {
                    throw new ArgumentException("ContentCommentsVerbose is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_MetaSaveCount == null)
                {
                    throw new ArgumentException("MetaSaveCount is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BaseFolder == null)
                {
                    throw new ArgumentException("BaseFolder is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_VirtualhostConf == null)
                {
                    throw new ArgumentException("VirtualhostConf is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_VirtualhostServer == null)
                {
                    throw new ArgumentException("VirtualhostServer is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_VirtualhostServerConf == null)
                {
                    throw new ArgumentException("VirtualhostServerConf is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_LiveDayCount == null)
                {
                    throw new ArgumentException("LiveDayCount is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ScanDate == null)
                {
                    throw new ArgumentException("ScanDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_GlobalTransferCount == null)
                {
                    throw new ArgumentException("GlobalTransferCount is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_NetLimitFile == null)
                {
                    throw new ArgumentException("NetLimitFile is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_NetLimitDenyFromIp == null)
                {
                    throw new ArgumentException("NetLimitDenyFromIp is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_NetLimitDenyFromAgent == null)
                {
                    throw new ArgumentException("NetLimitDenyFromAgent is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApachePhpPooled == null)
                {
                    throw new ArgumentException("ApachePhpPooled is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApachePhpPooledExt == null)
                {
                    throw new ArgumentException("ApachePhpPooledExt is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApachePhpPooledExtAuto == null)
                {
                    throw new ArgumentException("ApachePhpPooledExtAuto is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApachePhpPool1Only == null)
                {
                    throw new ArgumentException("ApachePhpPool1Only is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApachePhpPool5Only == null)
                {
                    throw new ArgumentException("ApachePhpPool5Only is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApacheSsi == null)
                {
                    throw new ArgumentException("ApacheSsi is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BypassSecurity == null)
                {
                    throw new ArgumentException("BypassSecurity is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FlagGenericExec == null)
                {
                    throw new ArgumentException("FlagGenericExec is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FlagNoWww == null)
                {
                    throw new ArgumentException("FlagNoWww is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BaseFolderSuffix == null)
                {
                    throw new ArgumentException("BaseFolderSuffix is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FeedbackSpeed == null)
                {
                    throw new ArgumentException("FeedbackSpeed is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FeedbackSpeedDtc == null)
                {
                    throw new ArgumentException("FeedbackSpeedDtc is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FeedbackSpeedFeedback == null)
                {
                    throw new ArgumentException("FeedbackSpeedFeedback is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_UnixPathOnWindows == null)
                {
                    throw new ArgumentException("UnixPathOnWindows is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FtpIpfilter == null)
                {
                    throw new ArgumentException("FtpIpfilter is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SshIpfilter == null)
                {
                    throw new ArgumentException("SshIpfilter is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_L3dAuto == null)
                {
                    throw new ArgumentException("L3dAuto is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AwstatsPrimaryDomain == null)
                {
                    throw new ArgumentException("AwstatsPrimaryDomain is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SharepointMode == null)
                {
                    throw new ArgumentException("SharepointMode is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SharepointModePending == null)
                {
                    throw new ArgumentException("SharepointModePending is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ApacheGenericPoolPort == null)
                {
                    throw new ArgumentException("ApacheGenericPoolPort is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_MongrelEnvironment == null)
                {
                    throw new ArgumentException("MongrelEnvironment is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FlagFree == null)
                {
                    throw new ArgumentException("FlagFree is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_RtmScanDate == null)
                {
                    throw new ArgumentException("RtmScanDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AnalyzeAnalog == null)
                {
                    throw new ArgumentException("AnalyzeAnalog is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_CpuDetailsEnabled == null)
                {
                    throw new ArgumentException("CpuDetailsEnabled is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ContentModeratedStatus == null)
                {
                    throw new ArgumentException("ContentModeratedStatus is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ContentModeratedDate == null)
                {
                    throw new ArgumentException("ContentModeratedDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_HttpFrontendIp == null)
                {
                    throw new ArgumentException("HttpFrontendIp is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_HttpFrontendIpTransition == null)
                {
                    throw new ArgumentException("HttpFrontendIpTransition is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_CpuLimitExceededDate == null)
                {
                    throw new ArgumentException("CpuLimitExceededDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AufsTemplate == null)
                {
                    throw new ArgumentException("AufsTemplate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_OptionsAutolimit == null)
                {
                    throw new ArgumentException("OptionsAutolimit is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisCreationCommands == null)
                {
                    throw new ArgumentException("IisCreationCommands is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_IisCreationCommandsUnix == null)
                {
                    throw new ArgumentException("IisCreationCommandsUnix is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ThumbDate == null)
                {
                    throw new ArgumentException("ThumbDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_ThumbFailed == null)
                {
                    throw new ArgumentException("ThumbFailed is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupStatDate == null)
                {
                    throw new ArgumentException("BackupStatDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupDate == null)
                {
                    throw new ArgumentException("BackupDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_DetectedPackages == null)
                {
                    throw new ArgumentException("DetectedPackages is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_StatSitePower == null)
                {
                    throw new ArgumentException("StatSitePower is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SmtpFrom == null)
                {
                    throw new ArgumentException("SmtpFrom is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SuperBackupDate == null)
                {
                    throw new ArgumentException("SuperBackupDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupDeltaStatDate == null)
                {
                    throw new ArgumentException("BackupDeltaStatDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupDeltaDate == null)
                {
                    throw new ArgumentException("BackupDeltaDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupDeltaDesc == null)
                {
                    throw new ArgumentException("BackupDeltaDesc is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootServer == null)
                {
                    throw new ArgumentException("AltDocrootServer is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootPath == null)
                {
                    throw new ArgumentException("AltDocrootPath is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootStatus == null)
                {
                    throw new ArgumentException("AltDocrootStatus is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootStatusCnt == null)
                {
                    throw new ArgumentException("AltDocrootStatusCnt is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootStatusDate == null)
                {
                    throw new ArgumentException("AltDocrootStatusDate is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BindDtc == null)
                {
                    throw new ArgumentException("BindDtc is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_BackupSpecialMode == null)
                {
                    throw new ArgumentException("BackupSpecialMode is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeCheckProblem == null)
                {
                    throw new ArgumentException("SizeCheckProblem is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_WpbDomain == null)
                {
                    throw new ArgumentException("WpbDomain is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_WpbUuid == null)
                {
                    throw new ArgumentException("WpbUuid is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_WpbStatus == null)
                {
                    throw new ArgumentException("WpbStatus is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AdminProtection == null)
                {
                    throw new ArgumentException("AdminProtection is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_SizeComments == null)
                {
                    throw new ArgumentException("SizeComments is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_AltDocrootSsdReq == null)
                {
                    throw new ArgumentException("AltDocrootSsdReq is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_MailLimit == null)
                {
                    throw new ArgumentException("MailLimit is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_MailAccept == null)
                {
                    throw new ArgumentException("MailAccept is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_MailDrop == null)
                {
                    throw new ArgumentException("MailDrop is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FtpName == null)
                {
                    throw new ArgumentException("FtpName is a required property for InlineResponse20014 and cannot be null");
                } 
                if (_FtpPwd == null)
                {
                    throw new ArgumentException("FtpPwd is a required property for InlineResponse20014 and cannot be null");
                } 
            }
        }

        
    }
}
